> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a contact by vid

> The _get a contact by vid_ endpoint returns information about a single contact by its ID (vid) for a given account. The contact's unique ID is stored in a field called 'vid,' which stands for 'visitor ID.' Use case for this endpoint: An integration could use this endpoint to get all updates made to a HubSpot contact since its creation.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['crm.objects.contacts.read', 'content', 'crm.objects.contacts.write']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-contacts-v1.json GET /contacts/v1/contact/vid/{vid}/profile
openapi: 3.0.0
info:
  title: CRM Contacts API v1
  version: 1.0.0
  description: Use the contact lists API to create and manage contact lists.
  x-hubspot-introduction: Use the contact lists API to create and manage contact lists.
  x-hubspot-api-use-case: >-
    Retrieve a contact list by ID to bring that contact data into your external
    system.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /contacts/v1/contact/vid/{vid}/profile:
    get:
      summary: Get a contact by vid
      description: >-
        The _get a contact by vid_ endpoint returns information about a single
        contact by its ID (vid) for a given account. The contact's unique ID is
        stored in a field called 'vid,' which stands for 'visitor ID.' Use case
        for this endpoint: An integration could use this endpoint to get all
        updates made to a HubSpot contact since its creation.
      operationId: getcontactsv1contactvidvidprofile
      parameters:
        - name: vid
          in: path
          required: true
          description: >-
            Unique identifier for a particular contact. In HubSpot's contact
            system, contact ID's are called "vid", as you can see in the API
            output.
          schema:
            type: string
        - name: property
          in: query
          required: false
          description: >-
            By default, all valued properties will be included. If you include
            the "property" parameter, then the returned data will only include
            the property or properties that you request. You can include this
            parameter multiple times to specify multiple properties. The
            `lastmodifieddate` and `associatedcompanyid` will always be
            included, even if not specified. Keep in mind that only properties
            that have a value will be included in the response, even if
            specified in the URL.
          schema:
            type: string
        - name: propertyMode
          in: query
          required: false
          description: >-
            One of `value_only` or `value_and_history` to specify if the current
            value for a property should be fetched, or the value and all the
            historical values for that property. Default is `value_and_history`.
          schema:
            type: string
        - name: formSubmissionMode
          in: query
          required: false
          description: >-
            One of `all`, `none`, `newest`, `oldest` to specify which form
            submissions should be fetched. Default is `all`.
          schema:
            type: string
        - name: showListMemberships
          in: query
          required: false
          description: >-
            Boolean `true` or `false` to indicate whether current list
            memberships should be fetched for the contact. Default is `true`.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successful response - The _get a contact by vid_ endpoint returns
            information about a single contact by its ID (vid) for a given
            account
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Get a contact by vid - Example 1
                  value:
                    vid: 12627374
                    canonical-vid: 12627374
                    merged-vids: []
                    portal-id: 62515
                    is-contact: true
                    properties:
                      hs_email_optout_354586:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      num_unique_conversion_events:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: CALCULATED
                            source-id: null
                            source-label: null
                            timestamp: 0
                            selected: false
                      hs_email_quarantined:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_analytics_revenue:
                        value: '0.0'
                        versions:
                          - value: '0.0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_social_num_broadcast_clicks:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      createdate:
                        value: '1566329710917'
                        versions:
                          - value: '1566329710917'
                            source-type: ANALYTICS
                            source-id: ''
                            source-label: null
                            timestamp: 1566329710917
                            selected: false
                      hs_email_recipient_fatigue_recovery_time:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout_5375287:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_analytics_last_timestamp:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      last_login_site:
                        value: doba
                        versions:
                          - value: doba
                            source-type: ANALYTICS
                            source-id: 04dba37d-125d-31fa-aca8-3ac1238e77f0
                            source-label: null
                            timestamp: 1566372681559
                            selected: false
                      hs_email_optout_6914043:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_analytics_num_visits:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_email_optout_5476312:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_social_linkedin_clicks:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_email_optout_6497985:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_analytics_last_visit_timestamp:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_social_last_engagement:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_analytics_source:
                        value: OFFLINE
                        versions:
                          - value: OFFLINE
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_email_domain:
                        value: profitzon.co.il
                        versions:
                          - value: profitzon.co.il
                            source-type: CALCULATED
                            source-id: null
                            source-label: null
                            timestamp: 1566329710480
                            selected: false
                      hs_analytics_num_page_views:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_analytics_first_touch_converting_campaign:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      email:
                        value: invoice1@profitzon.co.il
                        versions:
                          - value: invoice1@profitzon.co.il
                            source-type: ANALYTICS
                            source-id: ''
                            source-label: null
                            timestamp: 1566329710480
                            selected: false
                      hs_email_optout_4744389:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hubspotscore:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: WAL_INCREMENTAL
                            source-id: csrsu-kafka@v1522746307447
                            source-label: null
                            timestamp: 1566329712193
                            selected: false
                      hs_analytics_first_visit_timestamp:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      lastmodifieddate:
                        value: '1573629251761'
                        versions:
                          - value: '1573629251761'
                            source-type: CALCULATED
                            source-id: null
                            source-label: null
                            timestamp: 1573629251761
                            selected: false
                      hs_analytics_first_timestamp:
                        value: '1566329710480'
                        versions:
                          - value: '1566329710480'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_email_optout_5583924:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_social_google_plus_clicks:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_analytics_last_touch_converting_campaign:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_lifecyclestage_subscriber_date:
                        value: '1566329710917'
                        versions:
                          - value: '1566329710917'
                            source-type: ANALYTICS
                            source-id: ''
                            source-label: null
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout_4447431:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout_230318:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout_1281663:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_analytics_average_page_views:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_social_facebook_clicks:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_predictivescoringtier:
                        value: tier_2
                        versions:
                          - value: tier_2
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1571454873131
                            selected: false
                          - value: tier_1
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1568965562697
                            selected: false
                          - value: tier_2
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1567399848473
                            selected: false
                          - value: tier_1
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1566329756670
                            selected: false
                      hs_is_contact:
                        value: 'true'
                        versions:
                          - value: 'true'
                            source-type: CALCULATED
                            source-id: null
                            source-label: null
                            timestamp: 0
                            selected: false
                      hs_predictivecontactscore_v2:
                        value: '1.23'
                        versions:
                          - value: '1.23'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1573629248758
                            selected: false
                          - value: '1.53'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1572235132094
                            selected: false
                          - value: '1.77'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1570866795863
                            selected: false
                          - value: '3.67'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1569556356256
                            selected: false
                          - value: '2.45'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1566381906383
                            selected: false
                          - value: '2.58'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1566374641807
                            selected: false
                          - value: '2.48'
                            source-type: CALCULATED
                            source-id: null
                            source-label: HubSpot Predictive Contact Scoring Model
                            timestamp: 1566329756670
                            selected: false
                      num_conversion_events:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: CALCULATED
                            source-id: null
                            source-label: null
                            timestamp: 1566329710917
                            selected: false
                      hs_object_id:
                        value: '12627374'
                        versions:
                          - value: '12627374'
                            source-type: CALCULATED
                            source-id: null
                            source-label: null
                            timestamp: 1566329710917
                            selected: false
                      hs_analytics_num_event_completions:
                        value: '7'
                        versions:
                          - value: '7'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566381860155
                            selected: false
                          - value: '6'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566381808531
                            selected: false
                          - value: '5'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566378705011
                            selected: false
                          - value: '4'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566374618639
                            selected: false
                          - value: '3'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566373604987
                            selected: false
                          - value: '2'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566372802919
                            selected: false
                          - value: '1'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_social_twitter_clicks:
                        value: '0'
                        versions:
                          - value: '0'
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_analytics_source_data_2:
                        value: ''
                        versions:
                          - value: ''
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      hs_analytics_source_data_1:
                        value: ANALYTICS
                        versions:
                          - value: ANALYTICS
                            source-type: ANALYTICS
                            source-id: ContactAnalyticsDetailsUpdateWorker
                            source-label: null
                            timestamp: 1566329713264
                            selected: false
                      lifecyclestage:
                        value: subscriber
                        versions:
                          - value: subscriber
                            source-type: ANALYTICS
                            source-id: ''
                            source-label: null
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout_5479310:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                      hs_email_optout_2849:
                        value: ''
                        versions:
                          - value: ''
                            source-type: EMAIL
                            source-id: Updated in response to a contact being created.
                            source-label: invoice1@profitzon.co.il
                            timestamp: 1566329710917
                            selected: false
                    form-submissions: []
                    list-memberships: []
                    identity-profiles:
                      - vid: 12627374
                        saved-at-timestamp: 1566329710938
                        deleted-changed-timestamp: 0
                        identities:
                          - type: EMAIL
                            value: invoice1@profitzon.co.il
                            timestamp: 1566329710480
                            is-primary: true
                          - type: LEAD_GUID
                            value: 8c8cd830-b618-4044-91bc-c1f3bf00ca9b
                            timestamp: 1566329710924
                    merge-audits: []
      security:
        - oauth2:
            - crm.objects.contacts.read
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.contacts.read
        - private_apps_legacy: []
components: {}

````